import numpy as np 
import sys



############### INPUT PARAMETERS ###################

# 1. Training data histogram (2d numpy array,
#   each row is 1 histogram)
trainingHist_fileName = ""

# 2. Training data class list (1d numpy array, 
#   each row contains a single class number)
trainingClasses_fileName = ""

# 1. Testing data histogram (2d numpy array,
#   each row is 1 histogram)
testingHist_fileName = ""

# 2. Training data class list (1d numpy array, 
#   each row contains a single class number)
testingClasses_fileName = ""

####################################################





#load hist1 train
hist1 = numpy.load(trainingHist_fileName)
#load hist1_classes class
hist1_classes = numpy.load(trainingClasses_fileName)

#load hist2 test
hist2 = numpy.load(trainingHist_fileName)
#load hist2_classes class
hist2_classes = numpy.load(testingClasses_fileName)


def calcDist(vec1, vec2):
	dist = 0

	for i in len(vec1):
		dist += (vec1[i] - vec2[i])**2
	return dist


rows1 = hist1.shape[0]
rows2 = hist2.shape[0]

newClasses = [0]*rows2
for testRow in range(rows2):
	minDist = sys.float_info.max #insert max distance here
	minIndex = 0

	for trainRow in range(rows1):
		newDist = calcDist(hist1[rows1, :], hist2[rows2, :])

		if newDist < minDist:
			minDist = newDist
			minIndex = trainRow
	newClasses[testRow] = hist1_classes[minIndex]


#save newClasses

correct = 0

for i in range(len(newClasses)):
	if newClasses[i] == hist2_classes[i]:
		correct += 1


print(correct/len(hist2_classes))

